# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
exclude: ^(tests/example-logs)

default_language_version:
  python: python3

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
      - id: check-added-large-files
      - id: no-commit-to-branch
        args: [--branch, master]

  - repo: https://github.com/psf/black
    rev: 24.10.0
    hooks:
      - id: black

  - repo: https://github.com/astral-sh/ruff-pre-commit
    rev: 'v0.7.1'
    hooks:
      - id: ruff
        args: ["--fix"]

  - repo: "https://gitlab.cern.ch/lhcb-core/LbDevTools.git"
    rev: 2.0.42
    hooks:
      - id: lb-add-copyright
